From 3f16608e4f289536d63d2660005ead4ba11efc39 Mon Sep 17 00:00:00 2001
From: Alexander Golubev <fatzer2@gmail.com>
Date: Mon, 26 Aug 2013 21:16:42 +0400
Subject: [PATCH 5/5] kdesktop/lock: remove tqwidget-include hacks

---
 kdesktop/lock/lockprocess.cc | 13 ++-----------
 1 file changed, 2 insertions(+), 11 deletions(-)

diff --git a/kdesktop/lock/lockprocess.cc b/kdesktop/lock/lockprocess.cc
index 5bd92bd..79d0e38 100644
--- a/kdesktop/lock/lockprocess.cc
+++ b/kdesktop/lock/lockprocess.cc
@@ -16,10 +16,6 @@
 //crashes (e.g. because it's set to multiple wallpapers and
 //some image will be corrupted).
 
-#define protected public
-#include <tqwidget.h>
-#undef protected
-
 #include <config.h>
 
 #include "lockprocess.h"
@@ -995,13 +991,8 @@ void LockProcess::desktopResized()
         	m_maskWidget->setGeometry(0, 0, mRootWidth, mRootHeight);
         }
         else {
-        	int flags = CWOverrideRedirect;
-        	Visual* visual = CopyFromParent;
-        	XSetWindowAttributes attrs;
-        	attrs.override_redirect = 1;
-        	Window maskWindow = XCreateWindow(x11Display(), RootWindow( x11Display(), x11Screen()), 0, 0, mRootWidth, mRootHeight, 0, x11Depth(), InputOutput, visual, flags, &attrs);
-        	m_maskWidget = new TQWidget();
-        	m_maskWidget->create(maskWindow);
+        	m_maskWidget = new TQWidget(0, 0, TQt::WStyle_StaysOnTop | TQt::WX11BypassWM);
+        	m_maskWidget->setGeometry(0, 0, mRootWidth, mRootHeight);
         	m_maskWidget->setBackgroundColor(TQt::black);
         	m_maskWidget->erase();
         	m_maskWidget->show();
-- 
1.8.1.5

